<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class UserMedicalDetail extends Model
{
    protected $fillable = [
        'user_id', 'blood_group', 'allergies', 'chronic_conditions',
        'disability_needs', 'emergency_contact_name', 'emergency_contact_phone',
    ];

    public function user()
    {
        return $this->belongsTo(User::class);
    }
}
